API referenceMedia
Get a file
GET
Once uploaded, a signed download link valid for 5 minutes.
ApiKeyheader
AuthorizationBearer <token>An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).
id*stringThe media id.
Format
uuidGauge-Version?stringA dated version. Default 2026-10-21.
The media and its download link.
application/json- response
id*stringFormat
uuidcontentType*stringsizeBytes*integerfilename*string|nullstatus*stringValue in
"pending""uploaded"createdAt*stringexpiresAt*stringupload*|nulldownload*|nullcurl -X GET 'https://app.gauge.chat/api/v2/media/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "contentType": "string", "sizeBytes": 0, "filename": "string", "status": "pending", "createdAt": "string", "expiresAt": "string", "upload": { "url": "http://example.com", "method": "PUT", "headers": { "property1": "string", "property2": "string" }, "expiresAt": "string" }, "download": { "url": "http://example.com", "expiresAt": "string" }}